function Load()
{
 var file = OpenFile("slot" + which); 

 Chest.Num0 = file.read("Chest 0" , false);
 Chest.Num1 = file.read("Chest 1" , false);
 Chest.Num2 = file.read("Chest 2" , false);
 Chest.Num3 = file.read("Chest 3" , false);
 Chest.Num4 = file.read("Chest 4" , false);
 Chest.Num5 = file.read("Chest 5" , false);
 Chest.Num6 = file.read("Chest 6" , false);
 Chest.Num7 = file.read("Chest 7" , false);
 Chest.Num8 = file.read("Chest 8" , false);
 Chest.Num9 = file.read("Chest 9" , false);
 Chest.Num10 = file.read("Chest 10" , false);
 Chest.Num11 = file.read("Chest 11" , false);
 Chest.Num12 = file.read("Chest 12" , false);
 Chest.Num13 = file.read("Chest 13" , false);
 Chest.Num14 = file.read("Chest 14" , false);
 Chest.Num15 = file.read("Chest 15" , false);
 Chest.Num16 = file.read("Chest 16" , false);

 Player.tiletemp = file.read("Player Tile Temp", "");

 Player.name = file.read("Player Name" , "");
 Player.hp = file.read("Player Hp" , 1);
 Player.maxhp = file.read("Player Maxhp" , 1);
 Player.mp = file.read("Player Mp" , 1);
 Player.maxmp = file.read("Player Maxmp", 1);
 Player.level = file.read("Player Level", 1);
 Player.exp = file.read("Player Exp", 1000);
 Player.nextlevel = file.read("Player NextLevel", 1000);
 Player.gp = file.read("Player Gp", 1);
 Player.chrclass = file.read("Player Class", "class");
 Player.port = file.read("Player Port", "blank.png");

 Player.items = Object;
 Player.items.potion = file.read("Player Items Potion", 0);
 Player.items.hipotion = file.read("Player Items Hi-Potion", 0);
 Player.items.fullpotion = file.read("Player Items Full Potion", 0);
 Player.items.ether = file.read("Player Items Ether", 0);
 Player.items.turboether = file.read("Player Items TurboEther", 0);
 Player.items.elixer = file.read("Player Items Elixer", 0);
 Player.items.tent = file.read("Player Items Tent", 0);
 Player.items.life = file.read("Player Items Life", 0);
 Player.items.tentsave = file.read("Player TentSave", false);
 Player.equipwep = file.read("Player Weapon", "Empty");
 Player.equiparmour = file.read("Player Armour", "Empty");

 Playerweapons.Dagger = file.read("Player Dagger", 0);
 Playerweapons.Dirk = file.read("Player Dirk", 0);
 Playerweapons.Short_Sword = file.read("Player ShortSword", 0);
 Playerweapons.MithrilKnife = file.read("Player Mithril Knife", 0);
 Playerweapons.ConqudorKnife = file.read("Player Conqudor Knife", 0);

 Playerweapons.Long_Sword = file.read("Player LongSword", 0);
 Playerweapons.BroadSword = file.read("Player Broad Sword", 0);
 Playerweapons.RegalSword = file.read("Player Regal Sword", 0);
 Playerweapons.MithrilBlade = file.read("Player Mithril Blade", 0);
 Playerweapons.AdamantineBlade = file.read("Player Adamantine Blade", 0);
 Playerweapons.LegendSword = file.read("Player Legend Sword", 0);

 Playerweapons.WoodenStaff = file.read("Player Wooden Staff", 0);
 Playerweapons.BattleStaff = file.read("Player Battle Staff", 0);
 Playerweapons.MetalStaff = file.read("Player Metal Staff", 0);
 Playerweapons.MageStaff = file.read("Player Mage Staff", 0);

 Playerweapons.Lh_Armour = file.read("Player LeatherArmour", 0);
 Playerweapons.StudLh_Armour = file.read("Player StuddedLeatherArmour", 0);
 Playerweapons.IronPlate = file.read("Player Iron Plate", 0);
 Playerweapons.SilverVest = file.read("Player Silver Vest", 0);
 Playerweapons.SilverPlate = file.read("Player Silver Plate", 0);
 Playerweapons.SteelPlate = file.read("Player Steel Plate", 0);
 Playerweapons.BronzeVest = file.read("Player Bronze Vest", 0);
 Playerweapons.BronzePlate = file.read("Player Bronze Plate", 0);
 Playerweapons.MithrilVest = file.read("Player Mithril Vest", 0);
 Playerweapons.MithrilPlate = file.read("Player Mithril Plate", 0);
 Playerweapons.GoldPlate = file.read("Player Gold Plate", 0);
 Playerweapons.PlatinumPlate = file.read("Player Platinum Plate", 0);
 Playerweapons.AdamantinePlate = file.read("Player Adamantine Plate", 0);
 Playerweapons.AncientPlate = file.read("Player Ancient Plate", 0);
 Playerweapons.Cloak = file.read("Player Cloak", 0);
 Playerweapons.CottonRobe = file.read("Player Cotton Robe", 0);
 Playerweapons.SilkRobe = file.read("Player Silk Robe", 0);
 Playerweapons.DemonPlate = file.read("Player Demon Plate", 0);
 Playerweapons.AnglicPlate = file.read("Player Anglic Plate", 0);

 Player.DPlate = file.read("Player DPres", false);
 Player.APlate = file.read("Player APres", false);

 Playerweapons.temp = file.read("Player Weapontemp", "nothing");
 Playerweapons.tempcost = file.read("Player Weapontempcost", 0);
 Player.temp = file.read("Player Temp", "temp");
 Player.weaponeffect = file.read("Player Weapon Effect", 0);
 Player.armoureffect = file.read("Player Armour Effect", 0);
 Player.mattackeffect = file.read("Player Mattack Effect", 1);
 Player.str = file.read("Player Str", 1);
 Player.agi = file.read("Player Agi", 1);
 Player.mag = file.read("Player Mag", 1);
 Player.vit = file.read("Player Vit", 1);
 Player.luck = file.read("Player Luck", 1);
 Player.attack = file.read("Player Attack", 1);
 Player.defence = file.read("Player Defence", 1);
 Player.mattack = file.read("Player Mattack", 1);
 Player.evade = file.read("Player Evade", 1);
 Player.sprite = file.read("Player Sprite", 1);
 Player.engage = file.read("Player Engage", 60);
 Player.quest = file.read("Player Quest", "");
 Player.day = file.read("Player Day", 2);
 Player.weaponthing = file.read("Player wepthing", "Weapon");
 
 Playerbmagic.fire = file.read("Player BMagic Fire", false);
 Playerbmagic.ice = file.read("Player BMagic Ice", false);
 Playerbmagic.lit = file.read("Player BMagic Lit", false);
 Playerbmagic.earth = file.read("Player BMagic Earth", false);
 Playerbmagic.drainhp = file.read("Player BMagic Drain Hp", false);
 Playerbmagic.fire2 = file.read("Player BMagic Fire 2", false);
 Playerbmagic.ice2 = file.read("Player BMagic Ice 2", false);
 Playerbmagic.lit2 = file.read("Player BMagic Lit 2", false);
 Playerbmagic.earth2 = file.read("Player BMagic Earth 2", false);
 Playerbmagic.drainmp = file.read("Player BMagic Drain Mp", false);
 Playerbmagic.aero = file.read("Player BMagic Aero", false);
 Playerbmagic.water = file.read("Player BMagic Water", false);
 Playerbmagic.fire3 = file.read("Player BMagic Fire 3", false);
 Playerbmagic.ice3 = file.read("Player BMagic Ice 3", false);
 Playerbmagic.lit3 = file.read("Player BMagic Lit 3", false);
 Playerbmagic.earth3 = file.read("Player BMagic Earth 3", false);
 Playerbmagic.aera = file.read("Player BMagic Aera", false);
 Playerbmagic.tidelwave = file.read("Player BMagic Tidel Wave", false);
 Playerbmagic.metra = file.read("Player BMagic Metra", false);
 Playerbmagic.alpha = file.read("Player BMagic Alpha", false);
 Playerbmagic.omega = file.read("Player BMagic Omega", false);

 Playerwmagic.cure = file.read("Player WMagic Cure", false);
 Playerwmagic.peep = file.read("Player WMagic Peep", false);
 Playerwmagic.light = file.read("Player WMagic Light", false);
 Playerwmagic.sleep = file.read("Player WMagic Sleep", false);
 Playerwmagic.life1 = file.read("Player WMagic Life", false);
 Playerwmagic.cure2 = file.read("Player WMagic Cure 2", false);
 Playerwmagic.regain = file.read("Player WMagic Regain", false);
 Playerwmagic.powerup = file.read("Player WMagic Power-Up", false);
 Playerwmagic.defup = file.read("Player WMagic Defence-Up", false);
 Playerwmagic.haste = file.read("Player WMagic Haste", false);
 Playerwmagic.slow = file.read("Player WMagic Slow", false);
 Playerwmagic.stop = file.read("Player WMagic Stop", false);
 Playerwmagic.cure3 = file.read("Player WMagic Cure 3", false);
 Playerwmagic.safe = file.read("Player WMagic Safe", false);
 Playerwmagic.life2 = file.read("Player WMagic Life 2", false);
 Playerwmagic.megacure = file.read("Player WMagic Mega-Cure", false);
 Playerwmagic.curse = file.read("Player WMagic Curse", false);
 Playerwmagic.recover = file.read("Player WMagic Recover", false);

 Player.customnumber = file.read("Player Custom Number", 0);
 Player.customlearn = file.read("Player Custom Learn", 0);
 Player.customlearning = file.read("Player Custom Learning", "Nothing");

 Player.cmagic = Object;
 Player.cmagic.diease = file.read("Player CMagic Diease", "Diease");
 Player.cmagic.dieasepres = file.read("Player CMagic Diease Pres", false);
 Player.cmagic.plague = file.read("Player CMagic Plague", "Plague");
 Player.cmagic.plaguepres = file.read("Player CMagic Plague Pres", false);
 Player.cmagic.flare = file.read("Player CMagic Flare", "Flare");
 Player.cmagic.flarepres = file.read("Player CMagic Flare Pres", false);
 Player.cmagic.explode = file.read("Player CMagic Explode", "Explode");
 Player.cmagic.explodepres = file.read("Player CMagic Explode Pres", false);
 Player.cmagic.explode2 = file.read("Player CMagic Explode2", "Explode 2");
 Player.cmagic.explode2pres = file.read("Player CMagic Explode2 Pres", false);
 Player.cmagic.telekinesis = file.read("Player CMagic Telekinesis", "Telekinesis");
 Player.cmagic.telekinesispres = file.read("Player CMagic Telekinesis Pres", false);

 Player.cmagic.mpregain = file.read("Player CMagic MpRegain", "Mp Regain");
 Player.cmagic.mpregainpres = file.read("Player CMagic MpRegain Pres", false);
 Player.cmagic.anglicray = file.read("Player CMagic Anglic Ray", "Holy Beam");
 Player.cmagic.anglicraypres = file.read("Player CMagic Anglic Ray Pres", false);
 Player.cmagic.multiup = file.read("Player CMagic Multi-Up", "Multi-Up");
 Player.cmagic.multiuppres = file.read("Player CMagic Multi-Up Pres", false);
 Player.cmagic.hold = file.read("Player CMagic Hold", "Hold");
 Player.cmagic.holdpres = file.read("Player CMagic Hold Pres", false);
 Player.cmagic.encounter = file.read("Player CMagic Encounter", "Encounter");
 Player.cmagic.encounterpres = file.read("Player CMagic Encounter Pres", false);

 Playersoldier.dash = file.read("Player Soldier Dash", false);
 Playersoldier.dualcombo = file.read("Player Soldier Dual Combo", false);
 Playersoldier.sworddain = file.read("Player Soldier Sword Drain", false);
 Playersoldier.charge = file.read("Player Soldier Charge", false);
 Playersoldier.quadslice = file.read("Player Soldier Quad Slice", false);

 Playerbard.warsong = file.read("Player Bard War Song", false);
 Playerbard.intimidate = file.read("Player Bard Intimidate", false);
 Playerbard.animals = file.read("Player Bard Animals", false);
 Playerbard.resonance = file.read("Player Bard Resonance", false);

 Playerranger.animals = file.read("Player Ranger Animals", false);
 Playerranger.heal = file.read("Player Ranger Heal", false);
 Playerranger.defup = file.read("Player Ranger Def-Up", false);
 Playerranger.powerup = file.read("Player Ranger Power-Up", false);
 Playerranger.evade = file.read("Player Ranger Evade-Up", false);
 Playerranger.heal2 = file.read("Player Ranger Heal 2", false);
 Playerranger.heal3 = file.read("Player Ranger Heal 3", false);

 
//Player 2
 Player2.pres = file.read("Player2 Pres" , false);
 Player2.name = file.read("Player2 Name" , "Dagnar");
 Player2.hp = file.read("Player2 Hp" , 1);
 Player2.maxhp = file.read("Player2 Maxhp" , 1);
 Player2.mp = file.read("Player2 Mp" , 1);
 Player2.maxmp = file.read("Player2 Maxmp", 1);
 Player2.level = file.read("Player2 Level", 1);
 Player2.exp = file.read("Player2 Exp", 1);
 Player2.nextlevel = file.read("Player2 NextLevel", 1000);
 Player2.chrclass = file.read("Player2 Class", "soldier");
 Player2.port = file.read("Player2 Port", "Dagnar.port");
 Player2.equipwep = file.read("Player2 Weapon", "Empty");
 Player2.equiparmour = file.read("Player2 Armour", "Empty");
 Player2.weaponeffect = file.read("Player2 Weapon Effect", 0);
 Player2.armoureffect = file.read("Player2 Armour Effect", 0);
 Player2.mattackeffect = file.read("Player2 Mattack Effect", 1);
 Player2.str = file.read("Player2 Str", 1);
 Player2.agi = file.read("Player2 Agi", 1);
 Player2.mag = file.read("Player2 Mag", 1);
 Player2.vit = file.read("Player2 Vit", 1);
 Player2.luck = file.read("Player2 Luck", 1);
 Player2.attack = file.read("Player2 Attack", 1);
 Player2.defence = file.read("Player2 Defence", 1);
 Player2.mattack = file.read("Player2 Mattack", 1);
 Player2.evade = file.read("Player2 Evade", 1);
 Player2.sprite = file.read("Player2 Sprite", 1);
 Player2.weaponthing = file.read("Player2 wepthing", "Weapon");

 Player2.DPlate = file.read("Player2 DPres", false);
 Player2.APlate = file.read("Player2 APres", false);

 Player2bmagic.fire = file.read("Player2 BMagic Fire", false);
 Player2bmagic.ice = file.read("Player2 BMagic Ice", false);
 Player2bmagic.lit = file.read("Player2 BMagic Lit", false);
 Player2bmagic.earth = file.read("Player2 BMagic Earth", false);
 Player2bmagic.drainhp = file.read("Player2 BMagic Drain Hp", false);
 Player2bmagic.fire2 = file.read("Player2 BMagic Fire 2", false);
 Player2bmagic.ice2 = file.read("Player2 BMagic Ice 2", false);
 Player2bmagic.lit2 = file.read("Player2 BMagic Lit 2", false);
 Player2bmagic.earth2 = file.read("Player2 BMagic Earth 2", false);
 Player2bmagic.drainmp = file.read("Player2 BMagic Drain Mp", false);
 Player2bmagic.aero = file.read("Player2 BMagic Aero", false);
 Player2bmagic.water = file.read("Player2 BMagic Water", false);
 Player2bmagic.fire3 = file.read("Player2 BMagic Fire 3", false);
 Player2bmagic.ice3 = file.read("Player2 BMagic Ice 3", false);
 Player2bmagic.lit3 = file.read("Player2 BMagic Lit 3", false);
 Player2bmagic.earth3 = file.read("Player2 BMagic Earth 3", false);
 Player2bmagic.aera = file.read("Player2 BMagic Aera", false);
 Player2bmagic.tidelwave = file.read("Player2 BMagic Tidel Wave", false);
 Player2bmagic.metra = file.read("Player2 BMagic Metra", false);
 Player2bmagic.alpha = file.read("Player2 BMagic Alpha", false);
 Player2bmagic.omega = file.read("Player2 BMagic Omega", false);

 Player2wmagic.cure = file.read("Player2 WMagic Cure", false);
 Player2wmagic.peep = file.read("Player2 WMagic Peep", false);
 Player2wmagic.light = file.read("Player2 WMagic Light", false);
 Player2wmagic.sleep = file.read("Player2 WMagic Sleep", false);
 Player2wmagic.life1 = file.read("Player2 WMagic Life", false);
 Player2wmagic.cure2 = file.read("Player2 WMagic Cure 2", false);
 Player2wmagic.regain = file.read("Player2 WMagic Regain", false);
 Player2wmagic.powerup = file.read("Player2 WMagic Power-Up", false);
 Player2wmagic.defup = file.read("Player2 WMagic Defence-Up", false);
 Player2wmagic.haste = file.read("Player2 WMagic Haste", false);
 Player2wmagic.slow = file.read("Player2 WMagic Slow", false);
 Player2wmagic.stop = file.read("Player2 WMagic Stop", false);
 Player2wmagic.cure3 = file.read("Player2 WMagic Cure 3", false);
 Player2wmagic.safe = file.read("Player2 WMagic Safe", false);
 Player2wmagic.life2 = file.read("Player2 WMagic Life 2", false);
 Player2wmagic.megacure = file.read("Player2 WMagic Mega-Cure", false);
 Player2wmagic.curse = file.read("Player2 WMagic Curse", false);
 Player2wmagic.recover = file.read("Player2 WMagic Recover", false);

 Player2soldier.dash = file.read("Player2 Soldier Dash", false);
 Player2soldier.dualcombo = file.read("Player2 Soldier Dual Combo", false);
 Player2soldier.sworddain = file.read("Player2 Soldier Sword Drain", false);
 Player2soldier.charge = file.read("Player2 Soldier Charge", false);
 Player2soldier.quadslice = file.read("Player2 Soldier Quad Slice", false);

 Player2bard.warsong = file.read("Player2 Bard War Song", false);
 Player2bard.intimidate = file.read("Player2 Bard Intimidate", false);
 Player2bard.animals = file.read("Player2 Bard Animals", false);
 Player2bard.resonance = file.read("Player2 Bard Resonance", false);

 Player2ranger.animals = file.read("Player2 Ranger Animals", false);
 Player2ranger.heal = file.read("Player2 Ranger Heal", false);
 Player2ranger.defup = file.read("Player2 Ranger Def-Up", false);
 Player2ranger.powerup = file.read("Player2 Ranger Power-Up", false);
 Player2ranger.evade = file.read("Player2 Ranger Evade-Up", false);
 Player2ranger.heal2 = file.read("Player2 Ranger Heal 2", false);
 Player2ranger.heal3 = file.read("Player2 Ranger Heal 3", false);

//Player3
 Player3.pres = file.read("Player3 Pres" , false);
 Player3.name = file.read("Player3 Name" , "Name");
 Player3.hp = file.read("Player3 Hp" , 1);
 Player3.maxhp = file.read("Player3 Maxhp" , 1);
 Player3.mp = file.read("Player3 Mp" , 1);
 Player3.maxmp = file.read("Player3 Maxmp", 1);
 Player3.level = file.read("Player3 Level", 1);
 Player3.exp = file.read("Player3 Exp", 1);
 Player3.nextlevel = file.read("Player3 NextLevel", 1000);
 Player3.chrclass = file.read("Player3 Class", "blank");
 Player3.port = file.read("Player3 Port", "blank.png");
 Player3.equipwep = file.read("Player3 Weapon", "Empty");
 Player3.equiparmour = file.read("Player3 Armour", "Empty");
 Player3.weaponeffect = file.read("Player3 Weapon Effect", 0);
 Player3.armoureffect = file.read("Player3 Armour Effect", 0);
 Player3.mattackeffect = file.read("Player3 Mattack Effect", 1);
 Player3.str = file.read("Player3 Str", 1);
 Player3.agi = file.read("Player3 Agi", 1);
 Player3.mag = file.read("Player3 Mag", 1);
 Player3.vit = file.read("Player3 Vit", 1);
 Player3.luck = file.read("Player3 Luck", 1);
 Player3.attack = file.read("Player3 Attack", 1);
 Player3.defence = file.read("Player3 Defence", 1);
 Player3.mattack = file.read("Player3 Mattack", 1);
 Player3.evade = file.read("Player3 Evade", 1);
 Player3.sprite = file.read("Player3 Sprite", 1);
 Player3.weaponthing = file.read("Player3 wepthing", "Weapon");

 Player3.DPlate = file.read("Player3 DPres", false);
 Player3.APlate = file.read("Player3 APres", false);

 Player3bmagic.fire = file.read("Player3 BMagic Fire", false);
 Player3bmagic.ice = file.read("Player3 BMagic Ice", false);
 Player3bmagic.lit = file.read("Player3 BMagic Lit", false);
 Player3bmagic.earth = file.read("Player3 BMagic Earth", false);
 Player3bmagic.drainhp = file.read("Player3 BMagic Drain Hp", false);
 Player3bmagic.fire2 = file.read("Player3 BMagic Fire 2", false);
 Player3bmagic.ice2 = file.read("Player3 BMagic Ice 2", false);
 Player3bmagic.lit2 = file.read("Player3 BMagic Lit 2", false);
 Player3bmagic.earth2 = file.read("Player3 BMagic Earth 2", false);
 Player3bmagic.drainmp = file.read("Player3 BMagic Drain Mp", false);
 Player3bmagic.aero = file.read("Player3 BMagic Aero", false);
 Player3bmagic.water = file.read("Player3 BMagic Water", false);
 Player3bmagic.fire3 = file.read("Player3 BMagic Fire 3", false);
 Player3bmagic.ice3 = file.read("Player3 BMagic Ice 3", false);
 Player3bmagic.lit3 = file.read("Player3 BMagic Lit 3", false);
 Player3bmagic.earth3 = file.read("Player3 BMagic Earth 3", false);
 Player3bmagic.aera = file.read("Player3 BMagic Aera", false);
 Player3bmagic.tidelwave = file.read("Player3 BMagic Tidel Wave", false);
 Player3bmagic.metra = file.read("Player3 BMagic Metra", false);
 Player3bmagic.alpha = file.read("Player3 BMagic Alpha", false);
 Player3bmagic.omega = file.read("Player3 BMagic Omega", false);

 Player3wmagic.cure = file.read("Player3 WMagic Cure", false);
 Player3wmagic.peep = file.read("Player3 WMagic Peep", false);
 Player3wmagic.light = file.read("Player3 WMagic Light", false);
 Player3wmagic.sleep = file.read("Player3 WMagic Sleep", false);
 Player3wmagic.life1 = file.read("Player3 WMagic Life", false);
 Player3wmagic.cure2 = file.read("Player3 WMagic Cure 2", false);
 Player3wmagic.regain = file.read("Player3 WMagic Regain", false);
 Player3wmagic.powerup = file.read("Player3 WMagic Power-Up", false);
 Player3wmagic.defup = file.read("Player3 WMagic Defence-Up", false);
 Player3wmagic.haste = file.read("Player3 WMagic Haste", false);
 Player3wmagic.slow = file.read("Player3 WMagic Slow", false);
 Player3wmagic.stop = file.read("Player3 WMagic Stop", false);
 Player3wmagic.cure3 = file.read("Player3 WMagic Cure 3", false);
 Player3wmagic.safe = file.read("Player3 WMagic Safe", false);
 Player3wmagic.life2 = file.read("Player3 WMagic Life 2", false);
 Player3wmagic.megacure = file.read("Player3 WMagic Mega-Cure", false);
 Player3wmagic.curse = file.read("Player3 WMagic Curse", false);
 Player3wmagic.recover = file.read("Player3 WMagic Recover", false);

 Player3soldier.dash = file.read("Player3 Soldier Dash", false);
 Player3soldier.dualcombo = file.read("Player3 Soldier Dual Combo", false);
 Player3soldier.sworddain = file.read("Player3 Soldier Sword Drain", false);
 Player3soldier.charge = file.read("Player3 Soldier Charge", false);
 Player3soldier.quadslice = file.read("Player3 Soldier Quad Slice", false);

 Player3bard.warsong = file.read("Player3 Bard War Song", false);
 Player3bard.intimidate = file.read("Player3 Bard Intimidate", false);
 Player3bard.animals = file.read("Player3 Bard Animals", false);
 Player3bard.resonance = file.read("Player3 Bard Resonance", false);

 Player3ranger.animals = file.read("Player3 Ranger Animals", false);
 Player3ranger.heal = file.read("Player3 Ranger Heal", false);
 Player3ranger.defup = file.read("Player3 Ranger Def-Up", false);
 Player3ranger.powerup = file.read("Player3 Ranger Power-Up", false);
 Player3ranger.evade = file.read("Player3 Ranger Evade-Up", false);
 Player3ranger.heal2 = file.read("Player3 Ranger Heal 2", false);
 Player3ranger.heal3 = file.read("Player3 Ranger Heal 3", false);

Player.tournamentpres = false;
Monster1.hp = 0;
Monster2.hp = 0;
Monster3.hp = 0;
Monster4.hp = 0;
Monster1.exp = 0;
Monster2.exp = 0;
Monster3.exp = 0;
Monster4.exp = 0;
Monster1.gold = 0;
Monster2.gold = 0;
Monster3.gold = 0;
Monster4.gold = 0;


 for (i = 0; i < 3; i++)
 {
 placeT[i] = file.read("PlaceD" + i, 0);
 }
 for (i = 0; i < 10; i++)
 {
 Phouse[i] = file.read("Phouse" + i, 0);
 }

 Player.BugTempX = file.read("Player BTX", 1848);
 Player.BugTempY = file.read("Player BTX", 1560);

//Events
 Player.event2 = file.read("Player Event2", 0);
 Player.event3 = file.read("Player Event3", false);
 Player.event4 = file.read("Player Event4", false);
 Player.event5 = file.read("Player Event5", false);
 Player.event6 = file.read("Player Event6", false);
 Player.event7 = file.read("Player Event7", 0);
 Player.event8 = file.read("Player Event8", 0);
 Player.event9 = file.read("Player Event9", 0);
 Player.event10 = file.read("Player Event10", 0);
 Player.event11 = file.read("Player Event11", 0);
 Player.event12 = file.read("Player Event12", 0);
 Player.event13 = file.read("Player Event13", 0);
 Player.event14 = file.read("Player Event14", 0);
 Player.event15 = file.read("Player Event15", 0);
 Player.event16 = file.read("Player Event16", 0);
 Player.event17 = file.read("Player Event17", 0);
 Player.event18 = file.read("Player Event18", 0);

 Player.map = file.read("Player Map", "Start.rmp"), 
 Player.posx = file.read("Player PosX", 360); 
 Player.posy = file.read("Player PosY", 184); 
 Player.layer = file.read("Player Layer", 0);
 Player.dir = file.read("Player Direction", 4);

 BindKey(KEY_ESCAPE, "GameMenu()", "");

 if (Player.name == "Empty")
 {
   if (Player.level == 0)
   {
   NewGame();
   }
 }
 else if (Player.MapEnginePres == false)
 {
 Player.MapEnginePres = true;
 MapEngine("LoadingMap.rmp", 60);
 }
 else
 {
 ChangeMap("LoadingMap.rmp");
 }
}